React Native: Unable to verify Xcode and Simulator installation

yarn run v0.20.3
$ react-native-scripts ios
Starting packager...
Starting simulator...
Unable to check Xcode version: Error: Process exited with non-zero code: 1
Failed to start simulator:

Unable to verify Xcode and Simulator installation.

Exiting...

While trying to run React Native apps if you run into the issue above, it is most likely that the Command Line Tools option in Xcode Preferences doesn’t point to the right path.

To get rid of the error all you have to do is :

  1.  Go to Xcode
  2. Open Preferences
  3. Go to Locations
  4. Find “Command Line Tools” options
  5. Select Xcode X.X.X depending on the version of Xcode installed